require 'fileutils'
require_relative 'PhariDocGen/Modelo.rb'
require_relative 'PhariDocGen/Rota.rb'
require_relative 'PhariDocGen/Metodo.rb'
require_relative 'PhariDocGen/MethodParam.rb'
require_relative 'PhariDocGen/FileHandler.rb'

class PhariDocGen
  def generate (project, path)
      if project == nil
          puts "Insert project which generate documentation"
          project = gets.chomp
      end
      if project == ''
          puts 'Aborting generation due to empty project name'
          exit
      end
      generate = FileHandler.new
      projectDescription = generate.readProject(project)
      models = generate.readFiles(project)
      if path == nil
          puts 'Insert path to output file'
          path = gets.chomp
      end
      path += '/' unless path.end_with?('/')
      if path == ''
          puts 'Aborting generation due to empty path'
          exit
      end
      generate.writeFiles(models, project, projectDescription, path)
      puts 'Done!'
  end
end
